# Configuration du thème et des composants

## Comment ça marche ?

### Bannière _How to begin ?_

C'est le composant **_Versatile Banner_** qui est utilisé pour cette bannière.

- Doc : https://meta.discourse.org/t/versatile-banner/109133
- Dépôt : https://github.com/tshenry/discourse-versatile-banner.git

La bannière s'affiche pour tout le monde / possibilité de la masquer.
Elle apparaît sur les pages :

- `/latest`
- `/categories`
- `/new`
- `/unread`
- `/top*`
- `/tag/*`
- `/tags/*`
- `/c/*`
- `/t/*`

Il n'y a pas d'image de fond, mais il est possible d'en ajouter une.

Ensuite il faut configurer le contenu de la bannière : texte, images dans chaque colonne.

Pour personnaliser les images de la bannière, il faut les uploader sur le forum. Pour ça il faut créer un post avec les images dans la catégorie _staff_ (privée). Puis parcourir le post créé qui affiche l'image et faite un clic droit pour **copier le lien de l'image**. Puis, coller ce lien dans la page configuration du composant, section `Column Icons`.
[Pour plus d'information voir ici](https://meta.discourse.org/t/upload-image-in-discourse/141504/4).

### Les boites de catégories

Le composant est **_Categories Layout Override_** qui affiche les boîtes de categories avec leur images.

Dans Theme Settings/categories layout il faut choisir `categories_only`.

- Doc : https://meta.discourse.org/t/categories-layout-override/131098
- Dépôt : https://github.com/tshenry/discourse-categories-layout-override

### _Showcased Categories_

Le composant présentant deux boîtes avec une liste de 4 postes.

- Doc : https://meta.discourse.org/t/showcased-categories-theme-component/173524
- Dépôt : https://github.com/discourse/discourse-showcased-categories.git

Vous pouvez définir la taille en nombre de post maximum du contenu des boîtes et les catégories qui seront dans les boites ainsi que leur titre.

### Configuration des couleurs

Les couleurs peuvent être modifiées en créant votre palette de couleurs dans `Customize / Colors`. Pour plus d'information sur les palettes de couleurs [voir ici](https://meta.discourse.org/t/how-to-create-and-share-a-color-scheme/61196). Vous pouvez dupliquer les palettes `Community Light` ou `Community Dark` pour faire vos propres palettes.

Pour en savoir plus sur quelle couleur correspond à quel élément, nous fournissons [un descriptif de celles-ci](descriptif_couleurs.md).

Une fois votre palette créé ajouter celle-ci dans le thème : section **color palette**.

#### Installer des polices de caractère

Vous pouvez aussi installer des fonts existantes sur Discourse, depuis **Admin/Settings/Basic Setup.**.
Pour en savoir plus [voir ici](https://meta.discourse.org/t/how-to-change-default-font-of-your-site/21282).
